/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkChasingDotsComponent extends AbstractLoader {
}
SkChasingDotsComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-chasing-dots',
                template: `
      <div class="sk-chasing-dots" [class.colored]="!backgroundColor">
          <div class="sk-child sk-dot1" [style.background-color]='backgroundColor'></div>
          <div class="sk-child sk-dot2" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-chasing-dots {
          top: 50%;
          margin: auto;
          width: 40px;
          height: 40px;
          position: relative;
          text-align: center;
          -webkit-animation: sk-chasingDotsRotate 2s infinite linear;
          animation: sk-chasingDotsRotate 2s infinite linear;
      }

      .sk-chasing-dots .sk-child {
          width: 60%;
          height: 60%;
          display: inline-block;
          position: absolute;
          top: 0;
          border-radius: 100%;
          -webkit-animation: sk-chasingDotsBounce 2s infinite ease-in-out;
          animation: sk-chasingDotsBounce 2s infinite ease-in-out;
      }

      .sk-chasing-dots .sk-dot2 {
          top: auto;
          bottom: 0;
          -webkit-animation-delay: -1s;
          animation-delay: -1s;
      }

      @-webkit-keyframes sk-chasingDotsRotate {
          100% {
              -webkit-transform: rotate(360deg);
              transform: rotate(360deg);
          }
      }

      @keyframes sk-chasingDotsRotate {
          100% {
              -webkit-transform: rotate(360deg);
              transform: rotate(360deg);
          }
      }

      @-webkit-keyframes sk-chasingDotsBounce {
          0%, 100% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          50% {
              -webkit-transform: scale(1);
              transform: scale(1);
          }
      }

      @keyframes sk-chasingDotsBounce {
          0%, 100% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          50% {
              -webkit-transform: scale(1);
              transform: scale(1);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkChasingDotsComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-chasing-dots.component.js.map