/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkCubeGridComponent extends AbstractLoader {
}
SkCubeGridComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-cube-grid',
                template: `
      <div class="sk-cube-grid" [class.colored]="!backgroundColor">
          <div class="sk-cube sk-cube1" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube2" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube3" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube4" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube5" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube6" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube7" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube8" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube9" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-cube-grid {
          position: relative;
          top: 50%;
          width: 40px;
          height: 40px;
          margin: auto;
      }

      .sk-cube-grid .sk-cube {
          width: 33%;
          height: 33%;
          float: left;
          -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
          animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
      }

      .sk-cube-grid .sk-cube1 {
          -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
      }

      .sk-cube-grid .sk-cube2 {
          -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
      }

      .sk-cube-grid .sk-cube3 {
          -webkit-animation-delay: 0.4s;
          animation-delay: 0.4s;
      }

      .sk-cube-grid .sk-cube4 {
          -webkit-animation-delay: 0.1s;
          animation-delay: 0.1s;
      }

      .sk-cube-grid .sk-cube5 {
          -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
      }

      .sk-cube-grid .sk-cube6 {
          -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
      }

      .sk-cube-grid .sk-cube7 {
          -webkit-animation-delay: 0s;
          animation-delay: 0s;
      }

      .sk-cube-grid .sk-cube8 {
          -webkit-animation-delay: 0.1s;
          animation-delay: 0.1s;
      }

      .sk-cube-grid .sk-cube9 {
          -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
      }

      @-webkit-keyframes sk-cubeGridScaleDelay {
          0%, 70%, 100% {
              -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
          }
          35% {
              -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1);
          }
      }

      @keyframes sk-cubeGridScaleDelay {
          0%, 70%, 100% {
              -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
          }
          35% {
              -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkCubeGridComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-cube-grid.component.js.map