/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkDoubleBounceComponent extends AbstractLoader {
}
SkDoubleBounceComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-double-bounce',
                template: `
      <div class="sk-double-bounce" [class.colored]="!backgroundColor">
          <div class="double-bounce1" [style.background-color]='backgroundColor'></div>
          <div class="double-bounce2" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-double-bounce {
          top: 50%;
          width: 40px;
          height: 40px;
          position: relative;
          margin: auto;
      }

      .double-bounce1, .double-bounce2 {
          width: 100%;
          height: 100%;
          border-radius: 50%;
          opacity: 0.6;
          position: absolute;
          top: 0;
          left: 0;
          -webkit-animation: sk-bounce 2.0s infinite ease-in-out;
          animation: sk-bounce 2.0s infinite ease-in-out;
      }

      .double-bounce2 {
          -webkit-animation-delay: -1.0s;
          animation-delay: -1.0s;
      }

      @-webkit-keyframes sk-bounce {
          0%, 100% {
              -webkit-transform: scale(0.0)
          }
          50% {
              -webkit-transform: scale(1.0)
          }
      }

      @keyframes sk-bounce {
          0%, 100% {
              transform: scale(0.0);
              -webkit-transform: scale(0.0);
          }
          50% {
              transform: scale(1.0);
              -webkit-transform: scale(1.0);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkDoubleBounceComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-double-bounce.component.js.map