/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkRotatingPlaneComponent extends AbstractLoader {
}
SkRotatingPlaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-rotating-plane',
                template: `
      <div class="sk-rotating-plane colored-parent" [style.background-color]='backgroundColor'></div>
    `,
                styles: [`
      .sk-rotating-plane {
          position: relative;
          top: 50%;
          width: 40px;
          height: 40px;
          margin: auto;
          -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
          animation: sk-rotateplane 1.2s infinite ease-in-out;
      }

      @-webkit-keyframes sk-rotateplane {
          0% {
              -webkit-transform: perspective(120px)
          }
          50% {
              -webkit-transform: perspective(120px) rotateY(180deg)
          }
          100% {
              -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg)
          }
      }

      @keyframes sk-rotateplane {
          0% {
              transform: perspective(120px) rotateX(0deg) rotateY(0deg);
              -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)
          }
          50% {
              transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
              -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)
          }
          100% {
              transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
              -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkRotatingPlaneComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-rotating-plane.component.js.map