/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkSpinnerPulseComponent extends AbstractLoader {
}
SkSpinnerPulseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-spinner-pulse',
                template: `
      <div class="sk-spinner sk-spinner-pulse colored-parent" [style.background-color]='backgroundColor'></div>
    `,
                styles: [`
      .sk-spinner-pulse {
          position: relative;
          top: 50%;
          width: 40px;
          height: 40px;
          margin: auto;
          border-radius: 100%;
          -webkit-animation: sk-pulseScaleOut 1s infinite ease-in-out;
          animation: sk-pulseScaleOut 1s infinite ease-in-out;
      }

      @-webkit-keyframes sk-pulseScaleOut {
          0% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          100% {
              -webkit-transform: scale(1);
              transform: scale(1);
              opacity: 0;
          }
      }

      @keyframes sk-pulseScaleOut {
          0% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          100% {
              -webkit-transform: scale(1);
              transform: scale(1);
              opacity: 0;
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkSpinnerPulseComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-spinner-pulse.component.js.map