/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkThreeBounceComponent extends AbstractLoader {
}
SkThreeBounceComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-three-bounce',
                template: `
      <div class="sk-three-bounce" [class.colored]="!backgroundColor">
          <div class="sk-child sk-bounce1" [style.background-color]='backgroundColor'></div>
          <div class="sk-child sk-bounce2" [style.background-color]='backgroundColor'></div>
          <div class="sk-child sk-bounce3" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-three-bounce {
          top: 50%;
          position: relative;
          margin: auto;
          width: 80px;
          text-align: center;
      }

      .sk-three-bounce .sk-child {
          width: 20px;
          height: 20px;
          border-radius: 100%;
          display: inline-block;
          -webkit-animation: sk-three-bounce 1.4s ease-in-out 0s infinite both;
          animation: sk-three-bounce 1.4s ease-in-out 0s infinite both;
      }

      .sk-three-bounce .sk-bounce1 {
          -webkit-animation-delay: -0.32s;
          animation-delay: -0.32s;
      }

      .sk-three-bounce .sk-bounce2 {
          -webkit-animation-delay: -0.16s;
          animation-delay: -0.16s;
      }

      @-webkit-keyframes sk-three-bounce {
          0%, 80%, 100% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          40% {
              -webkit-transform: scale(1);
              transform: scale(1);
          }
      }

      @keyframes sk-three-bounce {
          0%, 80%, 100% {
              -webkit-transform: scale(0);
              transform: scale(0);
          }
          40% {
              -webkit-transform: scale(1);
              transform: scale(1);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkThreeBounceComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-three-bounce.component.js.map