/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkWanderingCubesComponent extends AbstractLoader {
}
SkWanderingCubesComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-wandering-cubes',
                template: `
      <div class="sk-wandering-cubes" [class.colored]="!backgroundColor">
          <div class="sk-cube sk-cube1" [style.background-color]='backgroundColor'></div>
          <div class="sk-cube sk-cube2" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-wandering-cubes {
          top: 50%;
          margin: auto;
          width: 40px;
          height: 40px;
          position: relative;
      }

      .sk-wandering-cubes .sk-cube {
          width: 10px;
          height: 10px;
          position: absolute;
          top: 0;
          left: 0;
          -webkit-animation: sk-wanderingCube 1.8s ease-in-out -1.8s infinite both;
          animation: sk-wanderingCube 1.8s ease-in-out -1.8s infinite both;
      }

      .sk-wandering-cubes .sk-cube2 {
          -webkit-animation-delay: -0.9s;
          animation-delay: -0.9s;
      }

      @-webkit-keyframes sk-wanderingCube {
          0% {
              -webkit-transform: rotate(0deg);
              transform: rotate(0deg);
          }
          25% {
              -webkit-transform: translateX(30px) rotate(-90deg) scale(0.5);
              transform: translateX(30px) rotate(-90deg) scale(0.5);
          }
          50% {
              /* Hack to make FF rotate in the right direction */
              -webkit-transform: translateX(30px) translateY(30px) rotate(-179deg);
              transform: translateX(30px) translateY(30px) rotate(-179deg);
          }
          50.1% {
              -webkit-transform: translateX(30px) translateY(30px) rotate(-180deg);
              transform: translateX(30px) translateY(30px) rotate(-180deg);
          }
          75% {
              -webkit-transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);
              transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);
          }
          100% {
              -webkit-transform: rotate(-360deg);
              transform: rotate(-360deg);
          }
      }

      @keyframes sk-wanderingCube {
          0% {
              -webkit-transform: rotate(0deg);
              transform: rotate(0deg);
          }
          25% {
              -webkit-transform: translateX(30px) rotate(-90deg) scale(0.5);
              transform: translateX(30px) rotate(-90deg) scale(0.5);
          }
          50% {
              /* Hack to make FF rotate in the right direction */
              -webkit-transform: translateX(30px) translateY(30px) rotate(-179deg);
              transform: translateX(30px) translateY(30px) rotate(-179deg);
          }
          50.1% {
              -webkit-transform: translateX(30px) translateY(30px) rotate(-180deg);
              transform: translateX(30px) translateY(30px) rotate(-180deg);
          }
          75% {
              -webkit-transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);
              transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);
          }
          100% {
              -webkit-transform: rotate(-360deg);
              transform: rotate(-360deg);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkWanderingCubesComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-wandering-cubes.component.js.map