/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Component } from '@angular/core';
import { AbstractLoader } from '../abstract.loader.component';
export class SkWaveComponent extends AbstractLoader {
}
SkWaveComponent.decorators = [
    { type: Component, args: [{
                selector: 'sk-wave',
                template: `
      <div class="sk-wave" [class.colored]="!backgroundColor">
          <div class="sk-rect sk-rect1" [style.background-color]='backgroundColor'></div>
          <div class="sk-rect sk-rect2" [style.background-color]='backgroundColor'></div>
          <div class="sk-rect sk-rect3" [style.background-color]='backgroundColor'></div>
          <div class="sk-rect sk-rect4" [style.background-color]='backgroundColor'></div>
          <div class="sk-rect sk-rect5" [style.background-color]='backgroundColor'></div>
      </div>
    `,
                styles: [`
      .sk-wave {
          position: relative;
          top: 50%;
          margin: auto;
          width: 50px;
          height: 40px;
          text-align: center;
          font-size: 10px;
      }

      .sk-wave .sk-rect {
          height: 100%;
          width: 6px;
          display: inline-block;
          -webkit-animation: sk-waveStretchDelay 1.2s infinite ease-in-out;
          animation: sk-waveStretchDelay 1.2s infinite ease-in-out;
      }

      .sk-wave .sk-rect1 {
          -webkit-animation-delay: -1.2s;
          animation-delay: -1.2s;
      }

      .sk-wave .sk-rect2 {
          -webkit-animation-delay: -1.1s;
          animation-delay: -1.1s;
      }

      .sk-wave .sk-rect3 {
          -webkit-animation-delay: -1s;
          animation-delay: -1s;
      }

      .sk-wave .sk-rect5 {
          -webkit-animation-delay: -0.8s;
          animation-delay: -0.8s;
      }

      .sk-wave .sk-rect4 {
          -webkit-animation-delay: -0.9s;
          animation-delay: -0.9s;
      }

      @-webkit-keyframes sk-waveStretchDelay {
          0%, 40%, 100% {
              -webkit-transform: scaleY(0.4);
              transform: scaleY(0.4);
          }
          20% {
              -webkit-transform: scaleY(1);
              transform: scaleY(1);
          }
      }

      @keyframes sk-waveStretchDelay {
          0%, 40%, 100% {
              -webkit-transform: scaleY(0.4);
              transform: scaleY(0.4);
          }
          20% {
              -webkit-transform: scaleY(1);
              transform: scaleY(1);
          }
      }
    `]
            },] },
];
/** @nocollapse */
SkWaveComponent.ctorParameters = () => [];
//# sourceMappingURL=sk-wave.component.js.map